Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225625 - Merge Review: bridge-utils
Summary: Merge Review: bridge-utils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:47 UTC by Nobody's working on this, feel free to take it
Modified: 2012-01-13 12:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-13 12:13:44 UTC
jima: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:47:13 UTC
Fedora Merge Review: bridge-utils

http://cvs.fedora.redhat.com/viewcvs/devel/bridge-utils/
Initial Owner: dwmw2@redhat.com

Comment 1 Jima 2007-02-09 14:22:04 UTC
Review time! :-)

OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
43bbd2a67b59cac3e15d545f8b51df68  bridge-utils-1.1.tar.gz
43bbd2a67b59cac3e15d545f8b51df68  bridge-utils-1.1.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
See below - Should package latest version
2 bugs - check for outstanding bugs on package.

Issues:

1. The recommended value for BuildRoot is:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

You may want to use that.

2. rpmlint says:

rpmlint on ./bridge-utils-1.1-2.fc7.src.rpm
W: bridge-utils setup-not-quiet
E: bridge-utils no-cleaning-of-buildroot %install

Easily fixed.  Add -q to %setup, and "rm -rf $RPM_BUILD_ROOT" after %install.

3. Latest version not used

http://sourceforge.net/project/showfiles.php?group_id=26089 says 1.2 is
available (and has been since 2006-09-20).  Please evaluate whether you
should be using this release instead.

4. Bugs open

There are two open bugs against this package:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205810
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169723

I'm not sure either bug is still particularly valid (one is against FC4,
the other looks like it should be resolved).

If you can address the issues above, I think we can call bridge-utils
APPROVED.

Comment 2 Jima 2007-02-09 15:17:24 UTC
Other notes on the bump to 1.2: You can (well, need to) drop patches 1-5, as
they've been merged upstream, and you need to add a BR and call to autoconf
before %configure, since they didn't ship a pre-made configure script in 1.2. 
Just a reminder for when you get back.

Comment 3 Jima 2007-02-09 16:18:13 UTC
*punts the ball back to dwmw2*

Comment 4 Jima 2007-12-10 14:31:39 UTC
As requested by David, I've gone ahead and made the changes I recommended. 
(Thanks David!)  For the record, the recommended BuildRoot tag has changed since
I started this review:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

I've labelled the spec 1.2-3, but haven't tagged it or kicked off a new build.

Got a couple more open bugs than before (4 now), but that's life, so I don't
think that's a blocker.  IOW, APPROVED.

Comment 6 Alexander Kurtakov 2012-01-13 12:13:44 UTC
This has been approved long time ago.
Closing.


Note You need to log in before you can comment on or make changes to this bug.